# RequestOptions

public abstract class **RequestOptions** extends [Object](https://developer.android.com/reference/java/lang/Object.html)  
implements [Parcelable](https://developer.android.com/reference/android/os/Parcelable.html)

|---|---|---|
| Known Direct Subclasses [BrowserRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserRequestOptions), [PublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/PublicKeyCredentialCreationOptions), [PublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/PublicKeyCredentialRequestOptions) |---|---| | [BrowserRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserRequestOptions) | An abstract class representing browser-based request parameters. | | [PublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/PublicKeyCredentialCreationOptions) | This class is used to supply options when creating a new credential. | | [PublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/PublicKeyCredentialRequestOptions) | This class is used to supply an authentication request with the data it needs to generate an assertion. | |||

|---|---|---|
| Known Indirect Subclasses [BrowserPublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialCreationOptions), [BrowserPublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialRequestOptions) |---|---| | [BrowserPublicKeyCredentialCreationOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialCreationOptions) | Parameters to a make credential request from a Web browser. | | [BrowserPublicKeyCredentialRequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/BrowserPublicKeyCredentialRequestOptions) | Parameters for a signature request from a Web Browser. | |||

An abstract class representing FIDO2 request options.

### Inherited Constant Summary

From interface android.os.Parcelable

|---|---|---|
| int | CONTENTS_FILE_DESCRIPTOR |   |
| int | PARCELABLE_WRITE_RETURN_VALUE |   |

### Public Constructor Summary

|---|---|
|   | [RequestOptions](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#RequestOptions())() |

### Public Method Summary

|---|---|
| abstract byte\[\] | [getChallenge](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getChallenge())() |
| abstract [Integer](https://developer.android.com/reference/java/lang/Integer.html) | [getRequestId](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getRequestId())() |
| abstract [Double](https://developer.android.com/reference/java/lang/Double.html) | [getTimeoutSeconds](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getTimeoutSeconds())() |
| abstract [TokenBinding](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/TokenBinding) | [getTokenBinding](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#getTokenBinding())() |
| byte\[\] | [serializeToBytes](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/RequestOptions#serializeToBytes())() Serializes the `RequestOptions` to bytes. |

### Inherited Method Summary

From class java.lang.Object

|---|---|
| [Object](https://developer.android.com/reference/java/lang/Object.html) | clone() |
| boolean | equals([Object](https://developer.android.com/reference/java/lang/Object.html) arg0) |
| void | finalize() |
| final [Class](https://developer.android.com/reference/java/lang/Class.html)\<?\> | getClass() |
| int | hashCode() |
| final void | notify() |
| final void | notifyAll() |
| [String](https://developer.android.com/reference/java/lang/String.html) | toString() |
| final void | wait(long arg0, int arg1) |
| final void | wait(long arg0) |
| final void | wait() |

From interface android.os.Parcelable

|---|---|
| abstract int | describeContents() |
| abstract void | writeToParcel([Parcel](https://developer.android.com/reference/android/os/Parcel.html) arg0, int arg1) |

## Public Constructors

#### public **RequestOptions** ()

## Public Methods

#### public abstract byte\[\]
**getChallenge** ()

#### public abstract [Integer](https://developer.android.com/reference/java/lang/Integer.html) **getRequestId** ()

#### public abstract [Double](https://developer.android.com/reference/java/lang/Double.html) **getTimeoutSeconds** ()

#### public abstract [TokenBinding](https://developers.google.com/android/reference/com/google/android/gms/fido/fido2/api/common/TokenBinding)
**getTokenBinding** ()

#### public byte\[\] **serializeToBytes** ()

Serializes the `RequestOptions` to bytes. Use
deserializeFromBytes(byte\[\]) to deserialize.